Author: Andreas Tille <tille@debian.org>
Last-Update: Mon, 21 Apr 2014 22:34:28 +0200
Description: Make sure the main scripts will find the staden.profile
 file when installed to the location where the wrapper will seek for
 the scripts

--- a/gap5/gap5.in
+++ b/gap5/gap5.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;                  export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                             export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/gap4/gap4.in
+++ b/gap4/gap4.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                       export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/pregap4/pregap4.in
+++ b/pregap4/pregap4.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                       export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/spin/spin.in
+++ b/spin/spin.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                       export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/trev/trev.in
+++ b/trev/trev.in
@@ -70,7 +70,10 @@ find_dir() {
 #
 # Run it!
 #
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                       export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/gap5/gap5_cmd.in
+++ b/gap5/gap5_cmd.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;                  export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                             export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/gap5/tg_index.in
+++ b/gap5/tg_index.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;                  export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                             export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/gap5/tg_view.in
+++ b/gap5/tg_view.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;                  export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                             export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/prefinish/finish_sanger
+++ b/prefinish/finish_sanger
@@ -70,7 +70,10 @@ find_dir() {
 #
 # Run it!
 #
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADLIB=$STADENROOT/lib/staden/;        export STADLIB
 STADTABL=$STADENROOT/share/staden/etc;  export STADTABL
 STADTCL=$STADENROOT/share/staden/tcl;   export STADTCL
--- a/prefinish/prefinish.in
+++ b/prefinish/prefinish.in
@@ -70,7 +70,10 @@ find_dir() {
 #
 # Run it!
 #
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                       export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/copy_reads/copy_reads.in
+++ b/copy_reads/copy_reads.in
@@ -67,7 +67,10 @@ find_dir() {
     echo $dir
 }
 
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADEN_PREPEND=1;                       export STADEN_PREPEND
 . "$STADENROOT"/share/staden/staden.profile
 
--- a/spin_emboss/create_emboss_files
+++ b/spin_emboss/create_emboss_files
@@ -70,7 +70,10 @@ find_dir() {
 #
 # Run it!
 #
-STADENROOT=`find_dir $0`/..;            export STADENROOT
+STADENROOT=${STADENROOT:-`find_dir $0`/..};   export STADENROOT
+if [ ! -f "$STADENROOT"/share/staden/staden.profile ] ; then
+    STADENROOT=/usr
+fi
 STADLIB=$STADENROOT/lib/staden/;        export STADLIB
 STADTABL=$STADENROOT/share/staden/etc;  export STADTABL
 STADTCL=$STADENROOT/share/staden/tcl;   export STADTCL
